/***************************************************************************
 *   Copyright (C) 2007 by Muylkens Toon   *
 *   toon.muylkens@student.kuleuven.be   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "InformationWidget.h"
//   #include <stdio.h>
//   #include <iostream>
//  using namespace std;

/**
*GUI stuff of information widget
*/
InformationWidget::InformationWidget(QWidget *parent)
     : QWidget(parent)
 {
     	ui.setupUi(this);
}


void InformationWidget::setProfileLabel(QString text){
	ui.profileLabel->setText(text);
}

void InformationWidget::setProgressLabel(QString text){
	ui.progressLabel->setText(text);
}

void InformationWidget::setLabelForum(QString text){
	ui.labelForum->setText(text);
}

void InformationWidget::setNextTrainingLabel(QString text){
	ui.nextTrainingLabel->setText(text);
}

void InformationWidget::setVisibleProgressLabel(bool var){
	ui.progressLabel->setEnabled(var);
}

void InformationWidget::setVisibleNextTrainingLabel(bool var){
	ui.nextTrainingLabel->setEnabled(var);
}

void InformationWidget::setVisibleLabelForum(bool var){
	ui.labelForum->setEnabled(var);
}
	

void InformationWidget::setVisibleProfileLabel(bool var){
	ui.profileLabel->setEnabled(var);
}

void InformationWidget::setVisibleShowTrainingButton(bool var){
	ui.showTrainingButton->setEnabled(var);
}

void InformationWidget::setVisibleAddTestDataButton(bool var){
	ui.addTestDataButton->setEnabled(var);
}

void InformationWidget::setVisibleAddLatestScheduleButton(bool var){
	ui.addLatestScheduleButton->setEnabled(var);
}

void InformationWidget::setVisibleShowTestScheduleButton(bool var){
	ui.showTestScheduleButton->setVisible(var);
}

void InformationWidget::setVisibleShowTestScheduleLabel(bool var){
	ui.showTestScheduleLabel->setVisible(var);
}


void InformationWidget::setShowTrainingButton(QString text){
	ui.showTrainingButton->setText(text);
}

void InformationWidget::setAddTestDataButton(QString text){
	ui.addTestDataButton->setText(text);
}

void InformationWidget::setAddLatestScheduleButton(QString text){
	ui.addLatestScheduleButton->setText(text);
}

void InformationWidget::setShowTestScheduleButton(QString text){
	ui.showTestScheduleButton->setText(text);
}

void InformationWidget::setShowTestScheduleLabel(QString text){
	ui.showTestScheduleLabel->setText(text);
}


QPushButton* InformationWidget::getShowTrainingButton(){
	return ui.showTrainingButton;
}

QPushButton *InformationWidget::getAddTestDataButton(){
	return ui.addTestDataButton;
}

QPushButton *InformationWidget::getAddLatestScheduleButton(){
	return ui.addLatestScheduleButton;
}

QPushButton  *InformationWidget::getShowTestScheduleButton(){
	return ui.showTestScheduleButton;
}

